using Plus.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Outgoing.Moderation
{
    class CfhTopicsInitComposer : ServerPacket
    {
        public CfhTopicsInitComposer()
            : base(ServerPacketHeader.CfhTopicsInitMessageComposer)
        {
           /* no finished.
            DataRow CfhTopics = null;
            using (IQueryAdapter dbClient = DatabaseManager.GetQueryReactor())
            {
                dbClient.SetQuery("SELECT * FROM `CfhTopics` ORDER BY -`id` DESC");
                CfhTopics = dbClient.getRow();
            }*/
            base.WriteInteger(6);
            base.WriteString("sexual_content");
            base.WriteInteger(4);
            base.WriteString("explicit_sexual_talk");
            base.WriteInteger(1);
            base.WriteString("mods");
            base.WriteString("cybersex");
            base.WriteInteger(2);
            base.WriteString("mods");
            base.WriteString("sexual_webcam_images");
            base.WriteInteger(3);
            base.WriteString("mods");
            base.WriteString("sex_links");
            base.WriteInteger(36);
            base.WriteString("mods");
            base.WriteString("pii_meeting_irl");
            base.WriteInteger(2);
            base.WriteString("meet_irl");
            base.WriteInteger(6);
            base.WriteString("mods");
            base.WriteString("asking_pii");
            base.WriteInteger(8);
            base.WriteString("mods");
            base.WriteString("scamming");
            base.WriteInteger(5);
            base.WriteString("scamsites_promoting");
            base.WriteInteger(9);
            base.WriteString("mods");
            base.WriteString("selling_buying_accounts_or_furni");
            base.WriteInteger(10);
            base.WriteString("mods");
            base.WriteString("stealing_accounts_or_furni");
            base.WriteInteger(11);
            base.WriteString("mods");
            base.WriteString("hacking_scamming_tricks");
            base.WriteInteger(32);
            base.WriteString("mods");
            base.WriteString("fraud");
            base.WriteInteger(33);
            base.WriteString("mods");
            base.WriteString("trolling_bad_behavior");
            base.WriteInteger(8);
            base.WriteString("bullying");
            base.WriteInteger(12);
            base.WriteString("mods_till_logout");
            base.WriteString("habbo_name");
            base.WriteInteger(13);
            base.WriteString("mods");
            base.WriteString("inappropiate_room_group_event");
            base.WriteInteger(34);
            base.WriteString("mods");
            base.WriteString("swearing");
            base.WriteInteger(14);
            base.WriteString("auto_reply");
            base.WriteString("drugs_promotion");
            base.WriteInteger(15);
            base.WriteString("mods_till_logout");
            base.WriteString("gambling");
            base.WriteInteger(16);
            base.WriteString("mods");
            base.WriteString("staff_impersonation");
            base.WriteInteger(17);
            base.WriteString("mods");
            base.WriteString("minors_access");
            base.WriteInteger(18);
            base.WriteString("mods");
            base.WriteString("violent_behavior");
            base.WriteInteger(3);
            base.WriteString("hate_speech");
            base.WriteInteger(19);
            base.WriteString("mods_till_logout");
            base.WriteString("violent_roleplay");
            base.WriteInteger(20);
            base.WriteString("mods_till_logout");
            base.WriteString("self_threatening");
            base.WriteInteger(21);
            base.WriteString("mods");
            base.WriteString("game_interruption");
            base.WriteInteger(4);
            base.WriteString("flooding");
            base.WriteInteger(22);
            base.WriteString("mods_till_logout");
            base.WriteString("door_blocking");
            base.WriteInteger(23);
            base.WriteString("auto_reply");
            base.WriteString("raids");
            base.WriteInteger(29);
            base.WriteString("mods");
            base.WriteString("scripting");
            base.WriteInteger(35);
            base.WriteString("mods");
        }
    }
}